MATLAB Answers

2

2018b gcc support on Ubuntu 18.04

Asked by Robert Vincent on 19 Sep 2018
Latest activity Answered by Jan
on 26 Nov 2018
TL;DR: R2018b officially supports Ubuntu 18.04 but the required gcc compiler is incompatible. Please fix.
With 2018b, Ubuntu 18.04 LTS has been added to the supported operated systems. Unfortunately this distribution only supports gcc-6.4 rather than gcc-6.3.x which is required for mex and other C compatibility within Matlab. There are no functional differences with 6.3 and 6.4, so the bugs stopping a downgrade from .4 to .3 are unlikely to be fixed. I appreciate this is a relatively new distribution but this is a really easy fix given 6.3 and 6.4 are the different in all but name.

  0 Comments

Sign in to comment.

2 Answers

Answer by labuilder labuilder on 27 Sep 2018

Yes, I am very disappointed that the R2018B release of the Matlab compiler requires gcc 6.3 which is not supported by Ubuntu 18.04. Ubuntu 17.10, 18.04, and 18.10 all have gcc_6.4 as the g++-6 package version.
I am using the compiler for distribution of software and having a stable/tested compiler system is important to me.

  0 Comments

Sign in to comment.


Answer by Jan
on 26 Nov 2018

Same here: Building a new system, and I will not install 16.04 on this. Is there a workaround to use gcc 6.4 to compile my projects?

  0 Comments

Sign in to comment.